org.apache.mina.api

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.api.ConfigurationException

All Implemented Interfaces:
  Serializable

    public class ConfigurationException
    extends RuntimeException

A `RuntimeException` thrown when something wrong happened during `IoService` or `IoSession` configuration.

Author:
  Apache MINA Project
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationException()`
`ConfigurationException(String message)`
`ConfigurationException(String message, Throwable cause)`
`ConfigurationException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationException

    public ConfigurationException()

#### ConfigurationException

    public ConfigurationException(String message,
                          Throwable cause)

#### ConfigurationException

    public ConfigurationException(String message)

#### ConfigurationException

    public ConfigurationException(Throwable cause)